## ros-humble-ros2topic 0.18.7

=== debian/changelog ===
ros-humble-ros2topic (0.18.7-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 18 Jul 2023 00:00:00 -0000

ros-humble-ros2topic (0.18.6-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 25 Apr 2023 00:00:00 -0000

ros-humble-ros2topic (0.18.5-1jammy) jammy; urgency=high

  * Extend timeout to shutdown the command line process. (#783 <https://github.com/ros2/ros2cli/issues/783>) (#784 <https://github.com/ros2/ros2cli/issues/784>)
  * Add support use_sim_time for ros2 topic hz/bw/pub. (#754 <https://github.com/ros2/ros2cli/issues/754>) (#777 <https://github.com/ros2/ros2cli/issues/777>)
  * Contributors: Tomoya Fujita, mergify[bot]

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 10 Jan 2023 00:00:00 -0000

ros-humble-ros2topic (0.18.4-1jammy) jammy; urgency=high

  * [humble] Backport. Expand auto to the current time when passed to a Header field (#751 <https://github.com/ros2/ros2cli/issues/751>)
    * Expand auto to the current time when passed to a Header field
    * Make sure that the stamp field is updated every time the message is published
    * Added support for passing 'now' as a value to a 'builtin_interfaces.msg.Time'. Added comments and expand docstring
    * Only update timestamp fields that have been passed 'now' as a value
    * Fix lint errors
    * Added tests
    * Remove node argument from set_message_fields_expanded
    * Fix flake8 errors
  * Contributors: Esteve Fernandez

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 07 Nov 2022 00:00:00 -0000

ros-humble-ros2topic (0.18.3-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 08 Apr 2022 00:00:00 -0000

ros-humble-ros2topic (0.18.2-1jammy) jammy; urgency=high

  * Add timeout to kill hanging tests (#701 <https://github.com/ros2/ros2cli/issues/701>)
  * Contributors: Audrow Nash

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 30 Mar 2022 00:00:00 -0000

ros-humble-ros2topic (0.18.1-1jammy) jammy; urgency=high

  * Add yaml dump flow style. (#698 <https://github.com/ros2/ros2cli/issues/698>)
  * Contributors: Tomoya Fujita

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 28 Mar 2022 00:00:00 -0000

ros-humble-ros2topic (0.18.0-1jammy) jammy; urgency=high

  * support ros2topic echo once option. (#695 <https://github.com/ros2/ros2cli/issues/695>)
  * Fix special case for fastrtps incompatible QoS. (#694 <https://github.com/ros2/ros2cli/issues/694>)
  * Contributors: Chris Lalancette, Tomoya Fujita

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 01 Mar 2022 00:00:00 -0000

ros-humble-ros2topic (0.17.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 25 Jan 2022 00:00:00 -0000

ros-humble-ros2topic (0.17.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 25 Jan 2022 00:00:00 -0000

ros-humble-ros2topic (0.16.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 14 Jan 2022 00:00:00 -0000

ros-humble-ros2topic (0.16.0-1jammy) jammy; urgency=high

  * Depend on launch packages instead of ros_testing to avoid circular dependency (#685 <https://github.com/ros2/ros2cli/issues/685>)
  * Add QoS history and depth information if available. (#678 <https://github.com/ros2/ros2cli/issues/678>)
  * Cleanup mislabeled BSD license (#447 <https://github.com/ros2/ros2cli/issues/447>)
  * Contributors: Shane Loretz, Tomoya Fujita, Tully Foote

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 14 Jan 2022 00:00:00 -0000

ros-humble-ros2topic (0.15.0-1jammy) jammy; urgency=high

  * Update maintainers to Aditya Pande, Audrow Nash, and Michael Jeronimo (#673 <https://github.com/ros2/ros2cli/issues/673>)
  * Updated maintainers (#670 <https://github.com/ros2/ros2cli/issues/670>)
  * Update lost messages test case (#669 <https://github.com/ros2/ros2cli/issues/669>)
  * Implementation of message filtering for ros2 (#654 <https://github.com/ros2/ros2cli/issues/654>)
  * Change default QoSProfile for pub (#653 <https://github.com/ros2/ros2cli/issues/653>)
  * Add option in ros2 topic pub to wait for N matching subscriptions, use N=1 by default when combined with --times (#642 <https://github.com/ros2/ros2cli/issues/642>)
  * ros2 topic pub starts publishing right away. (#626 <https://github.com/ros2/ros2cli/issues/626>)
  * Fix Topic Info Test with "Infinite" printing (#616 <https://github.com/ros2/ros2cli/issues/616>)
  * Add changelogs (#635 <https://github.com/ros2/ros2cli/issues/635>)
  * QoS autodetection (#613 <https://github.com/ros2/ros2cli/issues/613>)
  * Make Lost Messages option ON by default (#633 <https://github.com/ros2/ros2cli/issues/633>)
  * Contributors: Aditya Pande, Audrow Nash, Emerson Knapp, Gonzo, Ivan Santiago Paunovic, Jorge Perez, Tomoya Fujita, matthews-jca

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 18 Nov 2021 00:00:00 -0000

ros-humble-ros2topic (0.14.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 26 Apr 2021 00:00:00 -0000

ros-humble-ros2topic (0.13.0-1jammy) jammy; urgency=high

  * Add verbose info for topic list. (#351 <https://github.com/ros2/ros2cli/issues/351>)
  * Contributors: ChenYing Kuo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 06 Apr 2021 00:00:00 -0000

ros-humble-ros2topic (0.12.0-1jammy) jammy; urgency=high

  * Remove maintainer. (#597 <https://github.com/ros2/ros2cli/issues/597>)
  * Add option to support use_sim_time. (#581 <https://github.com/ros2/ros2cli/issues/581>)
  * Add Audrow as a maintainer. (#591 <https://github.com/ros2/ros2cli/issues/591>)
  * Contributors: Audrow Nash, Claire Wang, Tomoya Fujita

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 02 Mar 2021 00:00:00 -0000

ros-humble-ros2topic (0.11.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 25 Jan 2021 00:00:00 -0000


